Get All Notes

http
GET https://services.leadconnectorhq.com/contacts/{contactId}/notes

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
contactIdstringYessx6wyHhbFdRXh302LLNRContact Id

Responses

200 - Successful response
  • notes (object[])

    • id (string): Example: HGPcayliwcdoUFzvbTok

    • body (string): Example: lorem ipsum

    • userId (string): Example: TUcmRxWrjqzJS8EjkxNK

    • dateAdded (string): Example: 2021-07-08T12:02:11.285Z

    • contactId (string): Example: TUcmRxWrjqzJS8EjkxNK

    • title (string): Example: Follow-up summary

    • color (string): Example: #FFAA00

    • pinned (boolean): Example: False

json
{
  "notes": [
    {
      "id": "HGPcayliwcdoUFzvbTok",
      "body": "lorem ipsum",
      "userId": "TUcmRxWrjqzJS8EjkxNK",
      "dateAdded": "2021-07-08T12:02:11.285Z",
      "contactId": "TUcmRxWrjqzJS8EjkxNK",
      "title": "Follow-up summary",
      "color": "#FFAA00",
      "pinned": false
    }
  ]
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/contacts/YOUR_contactId/notes' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?